Package org.apache.synapse.commons.staxon.core.base

## Class AbstractXMLStreamScope

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.base.AbstractXMLStreamScope

- All Implemented Interfaces:
    `NamespaceContext`
  Direct Known Subclasses:
    `XMLStreamReaderScope`, `XMLStreamWriterScope`

      public abstract class AbstractXMLStreamScope
      extends Object
      implements NamespaceContext

  Represent document/element scope. Used to store namespace bindings and attributes, implements `NamespaceContext`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractXMLStreamScope​(String defaultNamespace)` | Create root scope.
    `AbstractXMLStreamScope​(NamespaceContext parent)` | Create root scope.
    `AbstractXMLStreamScope​(AbstractXMLStreamScope parent, String prefix, String localName, String namespaceURI)` | Create element scope.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AbstractXMLStreamScope` | `getLastChild()` |
    `String` | `getLocalName()` |
    `String` | `getNamespaceURI()` |
    `String` | `getNamespaceURI​(String prefix)` |
    `AbstractXMLStreamScope` | `getParent()` |
    `String` | `getPrefix()` |
    `String` | `getPrefix​(String namespaceURI)` |
    `Iterator<String>` | `getPrefixes​(String namespaceURI)` |
    `boolean` | `isRoot()` |
    `boolean` | `isStartTagClosed()` |
    `void` | `setPrefix​(String prefix, String namespaceURI)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractXMLStreamScope

          public AbstractXMLStreamScope​(String defaultNamespace)

      Create root scope.
      Parameters:
        `defaultNamespace` -

    - #### AbstractXMLStreamScope

          public AbstractXMLStreamScope​(NamespaceContext parent)

      Create root scope.
      Parameters:
        `parent` - root namespace context

    - #### AbstractXMLStreamScope

          public AbstractXMLStreamScope​(AbstractXMLStreamScope parent,
                                        String prefix,
                                        String localName,
                                        String namespaceURI)

      Create element scope.
      Parameters:
        `parent` -
        `prefix` -
        `localName` -

  - ### Method Detail

    - #### getPrefix

          public String getPrefix()

    - #### getLocalName

          public String getLocalName()

    - #### getNamespaceURI

          public String getNamespaceURI()

    - #### isRoot

          public boolean isRoot()

    - #### getParent

          public AbstractXMLStreamScope getParent()

    - #### getLastChild

          public AbstractXMLStreamScope getLastChild()

    - #### isStartTagClosed

          public boolean isStartTagClosed()

    - #### getPrefix

          public String getPrefix​(String namespaceURI)

      Specified by:
        `getPrefix` in interface `NamespaceContext`

    - #### setPrefix

          public void setPrefix​(String prefix,
                                String namespaceURI)

    - #### getPrefixes

          public Iterator<String> getPrefixes​(String namespaceURI)

      Specified by:
        `getPrefixes` in interface `NamespaceContext`

    - #### getNamespaceURI

          public String getNamespaceURI​(String prefix)

      Specified by:
        `getNamespaceURI` in interface `NamespaceContext`